Madmail

Listar campanhas

GET /v1/campaigns

Exemplo de requisição

curl -X GET "https://app.madmail.com.br/api/v1/campaigns" \
  -H "Authorization: Bearer us_SUA_CHAVE"

Parâmetros

NomeLocalObrigatórioTipoDescrição
pagequeryNãostring
statusqueryNãostring
searchqueryNãostring

Respostas

200 — Obtém a lista de campanhas

CampoTipoDescrição
campaignsarray<object>
totalPageinteger
Exemplo de resposta
{
  "campaigns": [
    {
      "id": "abc123",
      "name": "Exemplo",
      "from": "cliente@exemplo.com",
      "subject": "Assunto do e-mail",
      "createdAt": "2024-01-01T00:00:00Z",
      "updatedAt": "2024-01-01T00:00:00Z",
      "status": "string",
      "scheduledAt": "2024-01-01T00:00:00Z",
      "total": 1,
      "sent": 1,
      "delivered": 1,
      "unsubscribed": 1
    }
  ],
  "totalPage": 1
}